# Options to customize the e-book viewer

### Begin group: DEFAULT
 
# remember window size
# Remember last used window size
remember_window_size = False
 
# user css
# Set the user CSS stylesheet. This can be used to customize the look of all books.
user_css = u''
 
# max fs width
# Set the maximum width that the book's text and pictures will take when in fullscreen mode. This allows you to read the book text without it becoming too wide.
max_fs_width = 800
 
# max fs height
# Set the maximum height that the book's text and pictures will take when in fullscreen mode. This allows you to read the book text without it becoming too tall. Note that this setting only takes effect in paged mode (which is the default mode).
max_fs_height = -1
 
# fit images
# Resize images larger than the viewer window to fit inside it
fit_images = True
 
# hyphenate
# Hyphenate text
hyphenate = False
 
# hyphenate default lang
# Default language for hyphenation rules
hyphenate_default_lang = u'en_us'
 
# search online url
# The URL to use when searching for selected text online
search_online_url = u'https://www.google.com/search?q={text}'
 
# remember current page
# Save the current position in the document, when quitting
remember_current_page = True
 
# copy bookmarks to file
# Copy bookmarks to the e-book file for easy sharing, if possible
copy_bookmarks_to_file = False
 
# wheel flips pages
# Have the mouse wheel turn pages
wheel_flips_pages = False
 
# wheel scroll fraction
# Control how much the mouse wheel scrolls by in flow mode
wheel_scroll_fraction = 100
 
# line scroll fraction
# Control how much the arrow keys scroll by in flow mode
line_scroll_fraction = 100
 
# tap flips pages
# Tapping on the screen turns pages
tap_flips_pages = True
 
# line scrolling stops on pagebreaks
# Prevent the up and down arrow keys from scrolling past page breaks
line_scrolling_stops_on_pagebreaks = False
 
# page flip duration
# The time, in seconds, for the page flip animation. Default is half a second.
page_flip_duration = 0.5
 
# font magnification step
# The amount by which to change the font size when clicking the font larger/smaller buttons. Should be a number between 0 and 1.
font_magnification_step = 0.2
 
# fullscreen clock
# Show a clock in fullscreen mode.
fullscreen_clock = False
 
# fullscreen pos
# Show reading position in fullscreen mode.
fullscreen_pos = False
 
# fullscreen scrollbar
# Show the scrollbar in fullscreen mode.
fullscreen_scrollbar = True
 
# start in fullscreen
# Start viewer in full screen mode
start_in_fullscreen = False
 
# show fullscreen help
# Show full screen usage help
show_fullscreen_help = True
 
# cols per screen
cols_per_screen = 1
 
# cols per screen portrait
cols_per_screen_portrait = 1
 
# cols per screen landscape
cols_per_screen_landscape = 1
 
# cols per screen migrated
cols_per_screen_migrated = True
 
# use book margins
use_book_margins = False
 
# top margin
top_margin = 20
 
# side margin
side_margin = 40
 
# bottom margin
bottom_margin = 20
 
# text color
text_color = None
 
# background color
background_color = None
 
# show controls
show_controls = True
 

### Begin group: FONTS
# Font options
 
# serif family
# The serif font family
serif_family = u'Liberation Serif'
 
# sans family
# The sans-serif font family
sans_family = u'Liberation Sans'
 
# mono family
# The monospace font family
mono_family = u'Liberation Mono'
 
# default font size
# The standard font size in px
default_font_size = 20
 
# mono font size
# The monospace font size in px
mono_font_size = 16
 
# standard font
# The standard font type
standard_font = u'serif'
 
# minimum font size
# The minimum font size in px
minimum_font_size = 8
 


