from __future__ import (unicode_literals, division, absolute_import, print_function)
__license__   = 'GPL v3'
__copyright__ = '2015,2016,2017  DaltonST <DaltonShiTzu@outlook.com>'
__my_version__ = "1.0.74"   # Enhance Full Text Search Options

from calibre.customize import InterfaceActionBase

class ActionBaseMultiColumnSearch(InterfaceActionBase):

    name                    = 'MultiColumnSearch'
    description           = 'Advanced Search Tools: Inter-Book; Intra-Book; Cross-Library; Full-Text; Word-Book Index Search; Native SQL Queries; Cross-Library Duplicate Books per Custom Columns; and more.'
    supported_platforms     = ['windows', 'osx', 'linux']
    author                  = 'DaltonST'
    version                 = (1, 0, 74)
    minimum_calibre_version = (2, 30, 0)

    actual_plugin           = 'calibre_plugins.multi_column_search.ui:ActionMultiColumnSearch'

    gui_name = "MultiColumnSearch"

    #--------------------------------------------------------------------------------------------------------------------------
    def initialize(self):

        pass

    #--------------------------------------------------------------------------------------------------------------------------
    def is_customizable(self):

        return False

    #--------------------------------------------------------------------------------------------------------------------------
    def config_widget(self):

        from calibre_plugins.multi_column_search.config import ConfigWidget

        return ConfigWidget()

    #--------------------------------------------------------------------------------------------------------------------------
    def save_settings(self, ConfigWidget):

        ConfigWidget.save_settings()

        # Apply the changes
        ac = self.actual_plugin_
        if ac is not None:
            ac.apply_settings()

    #-------------------------------------------
#END of __init__py