# -*- coding: utf-8 -*-
from __future__ import (unicode_literals, division, absolute_import,
                        print_function)
__license__   = 'GPL v3'
__copyright__ = '2015,2016,2017 DaltonST <DaltonShiTzu@outlook.com>'
__my_version__ = "1.0.73"   # Enhance Full Text Search Options

from PyQt5.Qt import (Qt, QDialog, QLabel, QVBoxLayout, QHBoxLayout, QFormLayout, QWidget, QPushButton,
        QGridLayout, pyqtSignal, QDialogButtonBox, QScrollArea, QFont, QPalette, QColor, QCheckBox,
        QTabWidget, QIcon, QToolButton, QSplitter, QGroupBox, QSpacerItem, QLineEdit,QSpinBox,
        QSizePolicy, QFrame, QSize, QKeySequence, QMenu, QShortcut, QMargins)


from calibre.utils.config import JSONConfig

# This is where all preferences for this plugin are stored
prefs = JSONConfig('plugins/multi_column_search')

# Set defaults
prefs.defaults['LAST_TAB_USED'] = unicode(0)

prefs.defaults['NAME1'] = unicode("title")
prefs.defaults['TEXT1'] = unicode("#work_title")
prefs.defaults['TYPE1'] = unicode("LABEL")
prefs.defaults['OPERATOR1'] = unicode("contains")
prefs.defaults['REGEX1'] = unicode("^.+$")
prefs.defaults['TRANSFORM_FUNCTION1'] = unicode("Compare: 'as-is'")
prefs.defaults['FUZZYWUZZY1'] = unicode("Fuzzy Equality Compare: None")

prefs.defaults['ANDORNOT'] = unicode("OR")

prefs.defaults['INTER_BOOK_SEARCH'] = unicode("False")

prefs.defaults['CROSS_LIBRARY_DUPLICATES_SEARCH'] = unicode("False")

prefs.defaults['ALL_AUTHORS_BOOKS'] = unicode("False")

prefs.defaults['USE_FINAL_FILTERS'] = unicode("False")

prefs.defaults['FINAL_FILTERS_LAST_SAVED'] = unicode("never")
prefs.defaults['FINAL_FILTERS_LAST_VALIDATED'] = unicode("never")

prefs.defaults['FINAL_FILTERS_PASSED_VALIDATION'] = unicode("True")

prefs.defaults['NAME2'] = unicode("authors")
prefs.defaults['TEXT2'] = unicode("#work_author")
prefs.defaults['TYPE2'] = unicode("LABEL")
prefs.defaults['OPERATOR2'] = unicode("contains")
prefs.defaults['REGEX2'] = unicode("^.+$")
prefs.defaults['TRANSFORM_FUNCTION2'] = unicode("Compare: 'as-is'")
prefs.defaults['FUZZYWUZZY2'] = unicode("Fuzzy Equality Compare: None")

prefs.defaults['REGEXVALUE_0'] = unicode("^.+$(?#This will match everything.  The ^ and $ are optional anchors.)")
prefs.defaults['REGEXVALUE_1'] = unicode(".+(?#For a user guide to Regular Expressions, refer to:  https://docs.python.org/2/library/re.html )")
prefs.defaults['REGEXVALUE_2'] = unicode(".+(?#For an easy, interactive way to learn REs, refer to:  https://pythex.org/ )")
prefs.defaults['REGEXVALUE_3'] = unicode("^[ABCD](?#Purpose:  Starts with  A,B,C or D  )")
prefs.defaults['REGEXVALUE_4'] = unicode("^B(?#Purpose:  Starts with a B  )")
prefs.defaults['REGEXVALUE_5'] = unicode("^[^ABD](?#Purpose:  Starts with any char except A, B, D  )")
prefs.defaults['REGEXVALUE_6'] = unicode("^.+L$(?#Purpose:   Ends with an L  )")
prefs.defaults['REGEXVALUE_7'] = unicode("[^a-c6](?#Purpose: matches any char except 'a', 'b', 'c' or '6'  )")
prefs.defaults['REGEXVALUE_8'] = unicode("[a]")
prefs.defaults['REGEXVALUE_9'] = unicode("Please note the 2 'I.C.?' checkboxes to the left.  'I.C.?' means 'Use re.IGNORECASE?' ")

prefs.defaults['REGEX_RADIO_COL1_0'] = unicode("True")
prefs.defaults['REGEX_RADIO_COL1_1'] = unicode("False")
prefs.defaults['REGEX_RADIO_COL1_2'] = unicode("False")
prefs.defaults['REGEX_RADIO_COL1_3'] = unicode("False")
prefs.defaults['REGEX_RADIO_COL1_4'] = unicode("False")
prefs.defaults['REGEX_RADIO_COL1_5'] = unicode("False")
prefs.defaults['REGEX_RADIO_COL1_6'] = unicode("False")
prefs.defaults['REGEX_RADIO_COL1_7'] = unicode("False")
prefs.defaults['REGEX_RADIO_COL1_8'] = unicode("False")
prefs.defaults['REGEX_RADIO_COL1_9'] = unicode("False")

prefs.defaults['REGEX_RADIO_COL2_0'] = unicode("True")
prefs.defaults['REGEX_RADIO_COL2_1'] = unicode("False")
prefs.defaults['REGEX_RADIO_COL2_2'] = unicode("False")
prefs.defaults['REGEX_RADIO_COL2_3'] = unicode("False")
prefs.defaults['REGEX_RADIO_COL2_4'] = unicode("False")
prefs.defaults['REGEX_RADIO_COL2_5'] = unicode("False")
prefs.defaults['REGEX_RADIO_COL2_6'] = unicode("False")
prefs.defaults['REGEX_RADIO_COL2_7'] = unicode("False")
prefs.defaults['REGEX_RADIO_COL2_8'] = unicode("False")
prefs.defaults['REGEX_RADIO_COL2_9'] = unicode("False")

prefs.defaults['REGEX_IGNORECASE_1'] = unicode("True")
prefs.defaults['REGEX_IGNORECASE_2'] = unicode("True")


prefs.defaults["FINAL_FILTER_0"] =  "[u'False', u'books: series_index', u'IS', u'2', u'OR', u'>=']"
prefs.defaults["FINAL_FILTER_1"] =  "[u'False', u'identifiers: type', u'IS NOT', u'ddc', u'OR', u'EXISTENT']"
prefs.defaults["FINAL_FILTER_2"] =  "[u'False', u'cc: #myserieslike', u'IS', u'Star Wars  [*]', u'OR', u'EXISTENT']"
prefs.defaults["FINAL_FILTER_3"] =  "[u'False', u'cc: #mytextfixedsetofvalues', u'IS', u'Favorites', u'AND', u'LIKE']"
prefs.defaults["FINAL_FILTER_4"] =  "[u'False', u'cc: #myyesno', u'IS', u'', u'AND', u'False']"
prefs.defaults["FINAL_FILTER_5"] =  "[u'False', u'cc: #myrating', u'IS NOT', u'', u'AND', u'EXISTENT']"
prefs.defaults["FINAL_FILTER_6"] =  "[u'False', u'cc: #original_title', u'IS', u'', u'AND', u'EXISTENT']"
prefs.defaults["FINAL_FILTER_7"] = "[u'False', u'authors: name', u'IS NOT', u'Smith', u'NOT', u'LIKE']"
prefs.defaults["FINAL_FILTER_8"] =  "[u'False', u'tags: name', u'IS', u'Factual', u'NOT', u'LIKE']"
prefs.defaults["FINAL_FILTER_9"] =  "[u'False', u'books: pubdate', u'IS', u'2000-01-01', u'', u'<']"

prefs.defaults['SPECIAL_QUERY_ACTIVE'] = unicode("False")

prefs.defaults['COLUMN__0_WIDTH'] = unicode(1)
prefs.defaults['COLUMN__1_WIDTH'] = unicode(1)
prefs.defaults['COLUMN__2_WIDTH'] = unicode(1)
prefs.defaults['COLUMN__1_WIDTH'] = unicode(1)
prefs.defaults['COLUMN__4_WIDTH'] = unicode(1)
prefs.defaults['COLUMN__5_WIDTH'] = unicode(1)
prefs.defaults['COLUMN__6_WIDTH'] = unicode(1)
prefs.defaults['COLUMN__7_WIDTH'] = unicode(1)
prefs.defaults['COLUMN__8_WIDTH'] = unicode(1)
prefs.defaults['COLUMN__9_WIDTH'] = unicode(1)
prefs.defaults['COLUMN__10_WIDTH'] = unicode(1)

prefs.defaults['BOOKS_VALID_FOR_POST_SEARCH_ACTIONS'] = unicode("[]")


prefs.defaults['OPTIONS_TEXT_ACTIVATE'] = unicode("False")
prefs.defaults['OPTIONS_COMPARE_FOUND_TEXT'] = unicode("False")
prefs.defaults['OPTIONS_COMPARE_FOUND_TEXT_CC'] = unicode("")
prefs.defaults['OPTIONS_COMPARE_FOUND_TEXT_REGEX'] = unicode("")
prefs.defaults['OPTIONS_UPDATE_FOUND_TEXT'] = unicode("False")
prefs.defaults['OPTIONS_UPDATE_FOUND_TEXT_CC'] = unicode("")
prefs.defaults['OPTIONS_UPDATE_FOUND_TEXT_REGEX'] = unicode("")


class ConfigWidget(QWidget):

    def __init__(self):

        QWidget.__init__(self)

        self.layout_1 = QVBoxLayout()
        self.setLayout(self.layout_1)

        self.layout_1.setSpacing(0)
        self.layout_1.setContentsMargins(QMargins(0,0,0,0));

        self.paths_groupbox = QGroupBox('Default Columns to be Searched')
        self.layout_1.addWidget(self.paths_groupbox)

        self.paths_layout = QGridLayout()
        self.paths_groupbox.setLayout(self.paths_layout)

        font = QFont()

        font.setBold(False)
        font.setPointSize(8)

        self.label1 = QLabel()
        self.label1.setTextFormat(1)
        self.label1.setText("<center><font color='#0404B4'>Enter the Default Column Search Names [1][2]</font></center>")
        self.label1.setFont(font)
        self.paths_layout.addWidget(self.label1)

        font.setBold(False)
        font.setPointSize(8)

        self.msg1 = QLineEdit(self)
        self.msg1.setText(prefs['NAME1'])
        self.paths_layout.addWidget(self.msg1)
        self.label1.setBuddy(self.msg1)

        self.msg2 = QLineEdit(self)
        self.msg2.setText(prefs['NAME2'])
        self.paths_layout.addWidget(self.msg2)

        #......................................................

        self.resize(self.sizeHint())


    def save_settings(self):
        prefs['NAME1'] = unicode(self.msg1.text())
        prefs['NAME2'] = unicode(self.msg2.text())


    def validate(self):

        return True



#END of config.py

